<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.style24.batch.biz.dao.TsbCartDao">

	<!-- 장바구니 만료일이 지난 데이터 삭제 -->
	<delete id="deleteCartExpriration" parameterType="Order">
		/* TsbCart.deleteCartExpriration : 장바구니 만료일이 지난 데이터 삭제 */
		DELETE FROM TB_CART CA
		WHERE  1=1
		AND    CA.REG_DT <![CDATA[ < ]]> CAST(ADDDATE(NOW(), INTERVAL -${saveLimitDay} DAY) AS DATE)
	</delete>

	<!-- 장바구니 마스터 정보 없는 상세데이터 삭제 -->
	<delete id="deleteCartDetail" parameterType="Order">
		/* TsbCart.deleteCartDetail : 장바구니 마스터 정보 없는 상세데이터 삭제 */
		DELETE FROM TB_CART_DETAIL CD
		WHERE  CD.CART_SQ NOT IN (SELECT CA.CART_SQ
		                          FROM   TB_CART CA
		                          WHERE  CA.REG_DT > CAST(ADDDATE(NOW(), INTERVAL -${saveLimitDay} DAY) AS DATE))			/* DeadLock 발생으로 날짜 조건 추가 */
	</delete>
</mapper>